@book{texbook,
  author = {Donald E. Knuth},
  year = {1986},
  title = {The \TeX{} Book},
  publisher = {Addison-Wesley Professional}
}
@book{latex:companion,
  author = {Frank Mittelbach and Michel Gossens
            and Johannes Braams and David Carlisle
            and Chris Rowley},
  year = {2004},
  title = {The \LaTeX{} Companion},
  publisher = {Addison-Wesley Professional},
  edition = {2}
}

@book{latex2e,
  author = {Leslie Lamport},
  year = {1994},
  title = {\LaTeX: a Document Preparation System},
  publisher = {Addison Wesley},
  address = {Massachusetts},
  edition = {2}
}

@article{knuth:1984,
  title={Literate Programming},
  author={Donald E. Knuth},
  journal={The Computer Journal},
  volume={27},
  number={2},
  pages={97--111},
  year={1984},
  publisher={Oxford University Press}
}

@inproceedings{lesk:1977,
  title={Computer Typesetting of Technical Journals on {UNIX}},
  author={Michael Lesk and Brian Kernighan},
  booktitle={Proceedings of American Federation of
             Information Processing Societies: 1977
             National Computer Conference},
  pages={879--888},
  year={1977},
  address={Dallas, Texas}
}

@book {abramowitz:1999,  
    author= {Milton Abramowitz and Irene A. Stegun},  
    title= {A Handbook of Mathematical Functions with Mathematical graphs and tables},
    publisher= {Dover},  
    year= {1964},  
    address= {New York City},  
    edition= {Ninth Dover Edition, Tenth GPO Edition} 
}